×
Kunena 5.1.10 Released - Security release (03 Mar 2019)

The Kunena team has announce the arrival of Kunena 5.1.10 [K 5.1.10] which is now available for download as a native Joomla extension for J! 3.9.x. This version addresses most of the issues that were discovered in K 5.1 and issues discovered during the development stages of K 5.1. This is a security release.

× Before posting new topics in this category K 1.5.x Support: Please read this first.

Question There is only one endorsed and supported Kunena template ... default_ex

More
9 years 8 months ago - 8 years 9 months ago #1 by xillibit
There is only one template that is supported by the developers across all versions of Kunena 1.5: the default_ex template. This may not seem like important news to the veteran users of www.kunena.com but I think this is important enough to make the point in a separate discussion topic. In fact, I think this is important enough to make into a sticky topic because of the number of problems that arise from new users' ignorance of the major trap that they continue to fall into.

The other templates (default, default_gray, default_green and default_red) were developed for older versions of Kunena and Fireboard. They are defective and have not kept pace with the rapid development of Kunena. It's not sufficient to say "you are strongly advised against using any of these old templates" ... do not use the other templates at all!

You will find a number of user contributions in the Templates and Design category . Some of these are really great, too! Some of them may work for you and some of them may not. There are no guarantees. You might even like to develop your own template. Please do and let's see your work! :) Please remember, though, before posting questions to the forum: if you have a problem with Kunena, make sure you have confirmed that the problem exists with a template that has been endorsed for K 1.5.x.

In future releases of Kunena there will be a major overhaul of the entire templating system and, in the next release, the defective default_gray, default_green and default_red templates will not be included with the installation kit.

Discussion: There is only one endorsed and supported Kunena template

Update: the default, default_gray, default_green and default_red templates were retired in K 1.5.8 and they were removed from the installation kit. Do not attempt to retrofit old copies of these templates with later versions of Kunena. See next posting in this thread.

I don't provide support by PM, because this can be useful for someone else.
Last edit: 8 years 9 months ago by sozzled. Reason: updated following the removal of the old "default" templates from the K 1.5.x installation kit
The topic has been locked.
  • sozzled
  • Visitor
8 years 10 months ago - 8 years 10 months ago #2 by sozzled
Compatibility with user-customised or third-party-developed Kunena templates

As a general rule, many templates designed for previous versions of Kunena should work with the latest stable public release but this is only true to a limited extent. In general, many older templates fail to work with Kunena in unpredictable ways and these account for the major source of problems reported by users. Because of the way that Kunena 1.5 is designed, many bugfixes and improvements made to the Kunena component affect the way that templates interact and, more importantly, older templates may have code that is incompatible with the latest version. You should upgrade your template whenever new versions are released and - third-party developers should take special note - to apply bugfixes incorporated with latest default_ex theme.

Please make sure your template works in a test environment before upgrading your live site!

If you feel the features of the template that you currently using outweigh the need to upgrade to the latest stable release of Kunena, that is also your prerogative to remain at the version of Kunena that your template was designed for or until the developer of that template makes the necessary changes to it. However, if you encounter problems with the function of the outdated version of Kunena we are unable to assist you beyond advising you to upgrade. The decision is yours.
Last edit: 8 years 10 months ago by sozzled.
The topic has been locked.
  • sozzled
  • Visitor
8 years 6 months ago #3 by sozzled
The topic has been locked.
  • Not Allowed: to create new topic.
  • Not Allowed: to reply.
  • Not Allowed: to edit your message.
Time to create page: 0.088 seconds